{
   "agent": "Hornbeam",
   "behavior": "OK",
   "behaviorClose": "OK",
   "case": 63,
   "closedByMe": true,
   "createStats": true,
   "createWirelog": true,
   "description": "A fragmented text message is sent in multiple frames. After\n   sending the first 2 frames of the text message, a Ping is sent. Then we wait 1s,\n   then we send 2 more text fragments, another Ping and then the final text fragment.\n   Everything is legal.",
   "droppedByMe": true,
   "duration": 1004,
   "expectation": "The peer immediately answers the first Ping before\n   it has received the last text message fragment. The peer pong's back the Ping's\n   payload exactly, and echo's the payload of the fragmented message back to us.",
   "expected": {
      "OK": [
         [
            "pong",
            "pongme 1!"
         ],
         [
            "pong",
            "pongme 2!"
         ],
         [
            "message",
            "fragment1fragment2fragment3fragment4fragment5",
            false
         ]
      ]
   },
   "expectedClose": {
      "closeCode": [
         1000
      ],
      "closedByMe": true,
      "requireClean": true
   },
   "failedByMe": false,
   "httpRequest": "GET /runCase?case=63&agent=Hornbeam HTTP/1.1\r\nHost: localhost:9001\r\nUpgrade: websocket\r\nConnection: upgrade\r\nSec-WebSocket-Key: rLoNV8GKKJ2T0oL+kacOsg==\r\nSec-WebSocket-Version: 13\r\n\r\n",
   "httpResponse": "HTTP/1.1 101 Switching Protocols\r\nServer: AutobahnTestSuite/0.8.2-0.10.9\r\nX-Powered-By: AutobahnPython/0.10.9\r\nUpgrade: WebSocket\r\nConnection: Upgrade\r\nSec-WebSocket-Accept: C16fE9R8+5sWAuwuGl/evWqhmao=\r\n\r\n",
   "id": "5.19",
   "isServer": true,
   "localCloseCode": 1000,
   "localCloseReason": null,
   "received": [
      [
         "pong",
         "pongme 1!"
      ],
      [
         "pong",
         "pongme 2!"
      ],
      [
         "message",
         "fragment1fragment2fragment3fragment4fragment5",
         false
      ]
   ],
   "remoteCloseCode": 1000,
   "remoteCloseReason": null,
   "reportCompressionRatio": false,
   "reportTime": false,
   "result": "Actual events match at least one expected.",
   "resultClose": "Connection was properly closed",
   "rxFrameStats": {
      "1": 1,
      "8": 1,
      "10": 2
   },
   "rxOctetStats": {
      "1": 1,
      "8": 1,
      "14": 1,
      "16": 1,
      "50": 1,
      "183": 1
   },
   "started": "2023-08-11T05:15:07.682Z",
   "trafficStats": null,
   "txFrameStats": {
      "0": 4,
      "1": 1,
      "8": 1,
      "9": 2
   },
   "txOctetStats": {
      "4": 1,
      "11": 7,
      "206": 1
   },
   "wasClean": true,
   "wasCloseHandshakeTimeout": false,
   "wasNotCleanReason": null,
   "wasOpenHandshakeTimeout": false,
   "wasServerConnectionDropTimeout": false,
   "wirelog": [
      [
         "RO",
         [
            183,
            "474554202f72756e436173653f636173653d3633266167656e743d486f726e6265616d20485454502f312e310d0a486f73743a206c6f63616c686f73743a3930 ..."
         ]
      ],
      [
         "TO",
         [
            206,
            "485454502f312e312031303120537769746368696e672050726f746f636f6c730d0a5365727665723a204175746f6261686e5465737453756974652f302e382e ..."
         ],
         false
      ],
      [
         "TF",
         [
            9,
            "fragment1"
         ],
         1,
         false,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            11,
            "0109667261676d656e7431"
         ],
         false
      ],
      [
         "TF",
         [
            9,
            "fragment2"
         ],
         0,
         false,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            11,
            "0009667261676d656e7432"
         ],
         false
      ],
      [
         "TF",
         [
            9,
            "pongme 1!"
         ],
         9,
         true,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            11,
            "8909706f6e676d65203121"
         ],
         false
      ],
      [
         "CT",
         1,
         null
      ],
      [
         "RO",
         [
            1,
            "8a"
         ]
      ],
      [
         "RO",
         [
            14,
            "89442a52f334453c94294f72c265"
         ]
      ],
      [
         "RF",
         [
            9,
            "pongme 1!"
         ],
         10,
         true,
         0,
         true,
         "442a52f3"
      ],
      [
         "CTE",
         null
      ],
      [
         "TF",
         [
            9,
            "fragment3"
         ],
         0,
         false,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            11,
            "0009667261676d656e7433"
         ],
         false
      ],
      [
         "TF",
         [
            9,
            "fragment4"
         ],
         0,
         false,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            11,
            "0009667261676d656e7434"
         ],
         false
      ],
      [
         "TF",
         [
            9,
            "pongme 2!"
         ],
         9,
         true,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            11,
            "8909706f6e676d65203221"
         ],
         false
      ],
      [
         "TF",
         [
            9,
            "fragment5"
         ],
         0,
         true,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            11,
            "8009667261676d656e7435"
         ],
         false
      ],
      [
         "TI",
         1
      ],
      [
         "RO",
         [
            16,
            "8a890ebabe197ed5d07e63df9e2b2f81"
         ]
      ],
      [
         "RF",
         [
            9,
            "pongme 2!"
         ],
         10,
         true,
         0,
         true,
         "0ebabe19"
      ],
      [
         "RO",
         [
            50,
            "ad6ca23a230ad05b4401c754575dc448420bcf5f4d18905c510dc5574602d609451ec35d4e09cc4e170ad05b4401c7545759"
         ]
      ],
      [
         "RF",
         [
            45,
            "fragment1fragment2fragment3fragment4fragment5"
         ],
         1,
         true,
         0,
         true,
         "6ca23a23"
      ],
      [
         "TF",
         [
            2,
            "0x03e8"
         ],
         8,
         true,
         0,
         null,
         null,
         null,
         false
      ],
      [
         "TO",
         [
            4,
            "880203e8"
         ],
         false
      ],
      [
         "RO",
         [
            8,
            "8882b6746619b59c"
         ]
      ],
      [
         "RF",
         [
            2,
            "0x03e8"
         ],
         8,
         true,
         0,
         true,
         "b6746619"
      ]
   ]
}